Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Class com.ibm.xml.xpointer.RelTerm

    java.lang.Object
        |
        +----com.ibm.xml.xpointer.RelTerm

public class RelTerm
extends java.lang.Object
implements OtherTerm, java.io.Serializable

(Based on WD-xptr-19980303)

Version:
  1.1

Constructor Summary
RelTerm(int type, boolean allp, int instance, int nodetype, java.lang.String name, java.util.Vector attrs)
RelTerm(int type, boolean allp, int instance, int nodetype)
RelTerm(int type, boolean allp, int instance, java.lang.String name)

Method Summary
java.util.Vector | getAttributesVector() Return a `Vector` of `RelTermAttribute`
int | getInstance()
int | getNodeType()
int | getType()
java.lang.String | getTypeName()
boolean | isAll()
boolean | match(Node ch) Check if ch is matched with this `RelTerm` without `Keyword` and `InstanceOrAll` conditions.
void | setType(int type)
java.lang.String | toString()

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

Constructor Detail

### RelTerm

    public RelTerm(int type,
                   boolean allp,
                   int instance,
                   int nodetype,
                   java.lang.String name,
                   java.util.Vector attrs)

  Parameters:
    `type` - `XPointer.ST_NONE / XPointer.ST_CHILD / XPointer.ST_DESCENDANT / XPointer.ST_ANCESTOR / XPointer.ST_PRECEDING / XPointer.ST_PSIBLING / XPointer.ST_FOLLOWING / XPointer.ST_FSIBLING`

### RelTerm

    public RelTerm(int type,
                   boolean allp,
                   int instance,
                   int nodetype)

### RelTerm

    public RelTerm(int type,
                   boolean allp,
                   int instance,
                   java.lang.String name)

Method Detail

### getType

    public int getType()

### setType

    public void setType(int type)

### getTypeName

    public java.lang.String getTypeName()

### isAll

    public boolean isAll()

### getInstance

    public int getInstance()

### getNodeType

    public int getNodeType()

### getAttributesVector

    public java.util.Vector getAttributesVector()

  Return a `Vector` of `RelTermAttribute`

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### match

    public boolean match(Node ch)

  Check if ch is matched with this `RelTerm` without `Keyword` and `InstanceOrAll` conditions.

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |